Summary:	DHCP Client Daemon
Name:		dhcpcd
Version:	4.0.12
Release:	%mkrel 1
License:	BSD-Like
Group:		System/Servers
URL:		http://dhcpcd.berlios.de/
Source0:	http://prdownload.berlios.de/dhcpcd/%{name}-%{version}.tar.bz2
Requires(post): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
dhcpcd is an implementation of the DHCP client specified in
draft-ietf-dhc-dhcp-09 (when -r option is not specified) and RFC1541 (when -r
option is specified).

It gets the host information (IP address, netmask, broad- cast address, etc.)
from a DHCP server and configures the network interface of the machine on which
it is running. It also tries to renew the lease time according to RFC1541 or
draft-ietf-dhc-dhcp-09.

%prep

%setup -q

%build
%serverbuild

%make LIBEXECDIR="/%{_lib}" CFLAGS="$CFLAGS -DCMDLINE_COMPAT"

%install
rm -rf %{buildroot}

%makeinstall_std LIBEXECDIR="/%{_lib}"

mkdir -p %{buildroot}/var/log
touch %{buildroot}/var/log/%{name}.log

%post
# Create initial log files so that logrotate doesn't complain
if [ $1 = 1 ]; then # first install
    %create_ghostfile dhcpcd root root 644
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/dhcpcd.conf
/sbin/dhcpcd
%dir /%{_lib}/dhcpcd-hooks
/%{_lib}/dhcpcd-hooks/*
/%{_lib}/dhcpcd-run-hooks
%{_mandir}/man5/dhcpcd.conf.5*
%{_mandir}/man8/dhcpcd.8*
%{_mandir}/man8/dhcpcd-run-hooks.8*
%ghost /var/log/%{name}.log


%changelog
* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.12-1mdv2009.1
+ Revision: 348930
- New upstream release

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.10-1mdv2009.1
+ Revision: 342438
- New upstream release

* Wed Dec 03 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.7-1mdv2009.1
+ Revision: 309655
- 4.0.7

* Wed Nov 26 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.6-1mdv2009.1
+ Revision: 307007
- 4.0.6
- 4.0.5

* Tue Nov 04 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.4-1mdv2009.1
+ Revision: 299831
- 4.0.4

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.3-1mdv2009.1
+ Revision: 298598
- 4.0.3

* Fri Oct 24 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.2-1mdv2009.1
+ Revision: 296936
- 4.0.2

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.8-3mdv2009.0
+ Revision: 220620
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.8-2mdv2008.1
+ Revision: 149172
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
+ Revision: 145528
- Import dhcpcd

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.3.22pl4-6mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.22pl4-5mdk
- Rebuild

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.22pl4-4mdk
- add prepreq on rpm-helper
- cosmetics
- no .bz2 ending for man page in %%files

